# -*- coding: utf-8 -*-

from os.path import *
import os

#execfile('c:/Workspace/bps2/lib/biocase/adjustpath.py')

# Some constants for archiving
NS_ABCD206 = 'http://www.tdwg.org/schemas/abcd/2.06'
NS_HISPID5 = 'http://www.chah.org.au/schemas/hispid/5'

transformers = {NS_ABCD206: 'abcd2.ktr',
                NS_HISPID5: 'hispid5.ktr'}

DWCA_SCHEMA_NAME = 'DwCA'

# Get configuration
import biocase.configuration
cfg = biocase.configuration.Cfg()

def is_idle(dsa):
    '''Returns the archiving engine status for the given data source'''
    if dsa is None or dsa == '':
        raise Exception ('No datasource given.')
    else:
        idle = True
        archivePath = join(cfg.archiveWorkLocator, dsa)
        for fname in os.listdir(archivePath):
            if fname.endswith(".proc"):
                idle = False
                break
        return idle
